# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/xmlindent/xmlindent-0.2.17-r1.ebuild,v 1.4 2012/07/29 16:01:34 armin76 Exp $

EAPI="2"

inherit toolchain-funcs git-2 autotools
EGIT_REPO_URI="https://github.com/yast/yast-devtools.git"

DESCRIPTION="YaST2 - Development Tools"
HOMEPAGE="http://github.com/yast/yast-devtools"
#SRC_URI="mirror://sourceforge/xmlindent/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64 ~arm"

IUSE=""
DEPEND="app-misc/fdupes
	app-text/docbook-xsl-stylesheets
	dev-libs/libxslt
	dev-perl/XML-Writer"

RDEPEND=""

src_prepare() {
	sed -e "s!packages\/\$RPMNAME!\$RPMNAME-\$VERSION!" -i build-tools/aclocal/y2autoconf.m4 -i build-tools/scripts/y2autoconf
	./build-tools/scripts/y2autoconf --bootstrap ./build-tools/
	./build-tools/scripts/y2automake --bootstrap ./build-tools/
	#ACLOCAL_AMFLAGS is recommended but we have a common Makefile.am
	cat ./build-tools/aclocal/*.m4 > acinclude.m4
	eautoreconf
}

src_install() {
	emake DESTDIR="${D}" install || die
}
