# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/x11-libs/libyui-qt/libyui-qt-2.21.96.ebuild,v 1.1 2011/08/15 09:32:42 miska Exp $

EAPI=4

inherit autotools cmake-utils

DESCRIPTION="UI abstraction library - qt plugin"
HOMEPAGE="http://sourceforge.net/projects/libyui/"
SRC_URI="https://github.com/libyui/libyui-qt/archive/libyui-qt/master/${PV}.tar.gz -> libyui-qt-${PV}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="dev-qt/qtgui:4
        x11-libs/libyui
"
RDEPEND="${DEPEND}"

S=${WORKDIR}/${PN}-${PN}-master-${PV}

src_prepare() {
	./bootstrap.sh /usr
}

#src_configure() {
#	econf --disable-static
#}

#src_install() {
#	default
#	find "${ED}" -name '*.la' -exec rm -f {} +
#}
